default:
  formatters:
    moodle_progress:
      output_styles:
        comment:
          - magenta
  suites:
    default:
      paths:
        - admin/tests/behat/enable_multiple_accounts_use_same_email.feature
        - admin/tool/monitor/tests/behat/subscription.feature
        - admin/tool/monitor/tests/behat/disabled.feature
        - admin/tool/monitor/tests/behat/rule.feature
        - admin/tool/langimport/tests/behat/manage_langpacks.feature
        - admin/tool/behat/tests/behat/data_generators.feature
        - admin/tool/behat/tests/behat/get_and_set_fields.feature
        - admin/tool/behat/tests/behat/list_steps.feature
        - admin/tool/filetypes/tests/behat/add_filetypes.feature
        - admin/tool/recyclebin/tests/behat/basic_functionality.feature
        - admin/tool/recyclebin/tests/behat/backup_user_data.feature
        - admin/tool/uploaduser/tests/behat/upload_users.feature
        - admin/tool/task/tests/behat/manage_tasks.feature
        - admin/tool/task/tests/behat/clear_fail_delay.feature
        - admin/tool/task/tests/behat/run_task_now.feature
        - admin/tool/httpsreplace/tests/behat/httpsreplace.feature
        - admin/tool/availabilityconditions/tests/behat/manage_conditions.feature
        - admin/tool/policy/tests/behat/consent.feature
        - admin/tool/uploadcourse/tests/behat/create.feature
        - admin/tool/uploadcourse/tests/behat/update.feature
        - auth/tests/behat/validateagedigitalconsentmap.feature
        - availability/condition/completion/tests/behat/conditional_bug.feature
        - availability/condition/profile/tests/behat/availability_profile.feature
        - backup/util/ui/tests/behat/import_groups.feature
        - backup/util/ui/tests/behat/restore_moodle2_courses_settings.feature
        - backup/util/ui/tests/behat/restore_moodle2_courses.feature
        - badges/tests/behat/role_visibility.feature
        - badges/tests/behat/criteria_cohort.feature
        - badges/tests/behat/criteria_profile.feature
        - badges/tests/behat/add_badge.feature
        - badges/tests/behat/award_badge.feature
        - blocks/blog_recent/tests/behat/block_blog_recent_frontpage.feature
        - blocks/comments/tests/behat/block_comment_frontpage.feature
        - blocks/participants/tests/behat/block_participants_frontpage.feature
        - blocks/course_list/tests/behat/block_course_list_frontpage.feature
        - blocks/private_files/tests/behat/block_private_files_frontpage.feature
        - blocks/myprofile/tests/behat/block_myprofile_frontpage.feature
        - blocks/tag_flickr/tests/behat/configuring_tag_flickr_block.feature
        - blocks/admin_bookmarks/tests/behat/bookmark_admin_pages.feature
        - blocks/tests/behat/configure_block_throughout_site.feature
        - blocks/navigation/tests/behat/expand_courses_node.feature
        - blocks/search_forums/tests/behat/block_search_forums_frontpage.feature
        - blocks/search_forums/tests/behat/block_search_forums_course.feature
        - blocks/site_main_menu/tests/behat/edit_activities.feature
        - blocks/site_main_menu/tests/behat/add_url.feature
        - blocks/calendar_upcoming/tests/behat/block_calendar_upcoming_frontpage.feature
        - blocks/course_summary/tests/behat/block_course_summary_frontpage.feature
        - blocks/blog_menu/tests/behat/block_blog_menu_frontpage.feature
        - blocks/completionstatus/tests/behat/block_completionstatus_manual_other.feature
        - blocks/completionstatus/tests/behat/block_completionstatus_activity_completion.feature
        - blocks/completionstatus/tests/behat/block_completionstatus_manual_self.feature
        - blocks/completionstatus/tests/behat/block_completionstatus.feature
        - blocks/online_users/tests/behat/block_online_users_frontpage.feature
        - blocks/badges/tests/behat/block_badges_course.feature
        - blocks/badges/tests/behat/block_badges_dashboard.feature
        - blocks/badges/tests/behat/block_badges_frontpage.feature
        - blocks/login/tests/behat/login_block.feature
        - blocks/calendar_month/tests/behat/block_calendar_month.feature
        - blog/tests/behat/comment.feature
        - blog/tests/behat/blog_visibility.feature
        - blog/tests/behat/delete.feature
        - calendar/tests/behat/category_events.feature
        - cohort/tests/behat/upload_cohort_users.feature
        - cohort/tests/behat/view_cohorts.feature
        - cohort/tests/behat/access_visible_cohorts.feature
        - cohort/tests/behat/upload_cohorts.feature
        - cohort/tests/behat/add_cohort.feature
        - course/tests/behat/coursetags.feature
        - course/tests/behat/role_renaming.feature
        - course/tests/behat/keyholder.feature
        - course/tests/behat/max_number_sections.feature
        - enrol/tests/behat/role_visibility.feature
        - enrol/tests/behat/enrol_user.feature
        - enrol/meta/tests/behat/enrol_meta.feature
        - enrol/lti/tests/behat/index_page.feature
        - enrol/lti/tests/behat/basic_settings.feature
        - enrol/self/tests/behat/key_holder.feature
        - enrol/guest/tests/behat/guest_access.feature
        - files/tests/behat/course_files.feature
        - files/tests/behat/add_custom_file_type.feature
        - grade/tests/behat/grade_scales.feature
        - grade/tests/behat/grade_scales_logging.feature
        - grade/tests/behat/grade_UI_settings.feature
        - grade/tests/behat/grade_hidden_items.feature
        - grade/tests/behat/grade_point_maximum.feature
        - grade/tests/behat/grade_average.feature
        - grade/tests/behat/grade_category_validation.feature
        - grade/tests/behat/grade_single_item_scales.feature
        - grade/tests/behat/grade_scales_aggregation.feature
        - grade/tests/behat/grade_item_validation.feature
        - grade/tests/behat/grade_letter_logging.feature
        - group/tests/behat/role_visibility.feature
        - group/tests/behat/overview.feature
        - lib/form/tests/behat/modgrade_validation.feature
        - lib/tests/behat/alpha_chooser.feature
        - lib/tests/behat/behat_navigation.php
        - lib/tests/behat/timezone.feature
        - lib/editor/atto/tests/behat/autosave.feature
        - media/player/videojs/tests/behat/modules.feature
        - message/tests/behat/update_messaging_preferences.feature
        - mod/chat/tests/behat/chat_course_reset.feature
        - mod/chat/tests/behat/chat_calendar_events.feature
        - mod/quiz/tests/behat/editing_add.feature
        - mod/quiz/tests/behat/editing_add_random.feature
        - mod/quiz/tests/behat/editing_add_from_question_bank.feature
        - mod/quiz/tests/behat/completion_condition_passing_grade.feature
        - mod/quiz/tests/behat/quiz_reset.feature
        - mod/quiz/tests/behat/backup.feature
        - mod/quiz/tests/behat/completion_condition_attempts_used.feature
        - mod/wiki/tests/behat/reset_wiki_comments_tags_files.feature
        - mod/forum/tests/behat/advanced_search.feature
        - mod/lti/tests/behat/addtool.feature
        - mod/lti/tests/behat/contentitemregistration.feature
        - mod/lti/tests/behat/backup_restore.feature
        - mod/lti/tests/behat/toolconfigure.feature
        - mod/lti/tests/behat/contentitem.feature
        - mod/assign/tests/behat/outcome_grading.feature
        - mod/assign/tests/behat/assign_course_reset.feature
        - mod/assign/tests/behat/quickgrading.feature
        - mod/assign/feedback/editpdf/tests/behat/annotate_pdf.feature
        - mod/lesson/tests/behat/lesson_course_reset.feature
        - my/tests/behat/reset_all_pages.feature
        - question/tests/behat/filter_questions_by_tag.feature
        - question/tests/behat/delete_questions.feature
        - question/tests/behat/question_categories.feature
        - question/tests/behat/move_question_categories.feature
        - question/tests/behat/preview_question.feature
        - question/tests/behat/copy_questions.feature
        - question/tests/behat/edit_questions_standard_tags.feature
        - question/tests/behat/sort_questions.feature
        - question/tests/behat/edit_questions.feature
        - question/type/ddwtos/tests/behat/add.feature
        - question/type/ddwtos/tests/behat/backup_and_restore.feature
        - question/type/ddwtos/tests/behat/edit.feature
        - question/type/ddwtos/tests/behat/import.feature
        - question/type/ddwtos/tests/behat/export.feature
        - question/type/ddwtos/tests/behat/preview.feature
        - question/type/gapselect/tests/behat/basic_test.feature
        - question/type/gapselect/tests/behat/import_test.feature
        - question/type/ddmarker/tests/behat/add.feature
        - question/type/ddmarker/tests/behat/backup_and_restore.feature
        - question/type/ddmarker/tests/behat/edit.feature
        - question/type/ddmarker/tests/behat/import.feature
        - question/type/ddmarker/tests/behat/export.feature
        - question/type/ddmarker/tests/behat/preview.feature
        - question/type/match/tests/behat/add.feature
        - question/type/match/tests/behat/backup_and_restore.feature
        - question/type/match/tests/behat/edit.feature
        - question/type/match/tests/behat/import.feature
        - question/type/match/tests/behat/export.feature
        - question/type/match/tests/behat/preview.feature
        - question/type/truefalse/tests/behat/add.feature
        - question/type/truefalse/tests/behat/backup_and_restore.feature
        - question/type/truefalse/tests/behat/edit.feature
        - question/type/truefalse/tests/behat/import.feature
        - question/type/truefalse/tests/behat/export.feature
        - question/type/truefalse/tests/behat/preview.feature
        - question/type/ddimageortext/tests/behat/add.feature
        - question/type/ddimageortext/tests/behat/backup_and_restore.feature
        - question/type/ddimageortext/tests/behat/edit.feature
        - question/type/ddimageortext/tests/behat/import.feature
        - question/type/ddimageortext/tests/behat/export.feature
        - question/type/ddimageortext/tests/behat/preview.feature
        - question/type/multichoice/tests/behat/add.feature
        - question/type/multichoice/tests/behat/backup_and_restore.feature
        - question/type/multichoice/tests/behat/edit.feature
        - question/type/multichoice/tests/behat/import.feature
        - question/type/multichoice/tests/behat/export.feature
        - question/type/multichoice/tests/behat/preview.feature
        - question/type/description/tests/behat/add.feature
        - question/type/description/tests/behat/backup_and_restore.feature
        - question/type/description/tests/behat/edit.feature
        - question/type/description/tests/behat/import.feature
        - question/type/description/tests/behat/export.feature
        - question/type/description/tests/behat/preview.feature
        - question/type/shortanswer/tests/behat/add.feature
        - question/type/shortanswer/tests/behat/backup_and_restore.feature
        - question/type/shortanswer/tests/behat/edit.feature
        - question/type/shortanswer/tests/behat/import.feature
        - question/type/shortanswer/tests/behat/export.feature
        - question/type/shortanswer/tests/behat/preview.feature
        - question/type/essay/tests/behat/add.feature
        - question/type/essay/tests/behat/backup_and_restore.feature
        - question/type/essay/tests/behat/edit.feature
        - question/type/essay/tests/behat/import.feature
        - question/type/essay/tests/behat/export.feature
        - question/type/essay/tests/behat/preview.feature
        - question/format/xml/tests/behat/import_export.feature
        - question/format/gift/tests/behat/import_export.feature
        - question/format/webct/tests/behat/import.feature
        - question/format/webct/tests/behat/importcalculated.feature
        - report/progress/tests/behat/activity_completion_report.feature
        - report/loglive/tests/behat/loglive_report.feature
        - report/outline/tests/behat/filter.feature
        - report/outline/tests/behat/user.feature
        - report/outline/tests/behat/outline.feature
        - report/log/tests/behat/filter_log_actions.feature
        - report/log/tests/behat/filter_log.feature
        - report/log/tests/behat/user_log.feature
        - report/eventlist/tests/behat/mainsection.feature
        - report/participation/tests/behat/filter_participation.feature
        - report/participation/tests/behat/message_participants.feature
        - tag/tests/behat/edit_tag.feature
        - tag/tests/behat/collections.feature
        - tag/tests/behat/tagindex.feature
        - tag/tests/behat/standard_tags.feature
        - tag/tests/behat/delete_tag.feature
        - tag/tests/behat/flag_tags.feature
        - user/tests/behat/enrol_cohort_list.feature
        - user/tests/behat/table_sorting.feature
        - user/tests/behat/user_grade_navigation.feature
        - user/tests/behat/edit_user_enrolment.feature
        - user/tests/behat/custom_profile_fields.feature
        - user/tests/behat/edituserpassword.feature
        - user/tests/behat/view_full_profile.feature
        - user/tests/behat/name_fields.feature
        - user/tests/behat/delete_users.feature
        - user/tests/behat/view_preferences_page.feature
      contexts:
        - behat_assignfeedback_editpdf
        - behat_auth
        - behat_auth_email
        - behat_backup
        - behat_block_comments
        - behat_block_site_main_menu
        - behat_block_social_activities
        - behat_calendar
        - behat_cohort
        - behat_completion
        - behat_data_generators
        - behat_editor_atto
        - behat_enrol
        - behat_filters
        - behat_forms
        - behat_general
        - behat_gradereport_grader
        - behat_grading
        - behat_gradingform_guide
        - behat_gradingform_rubric
        - behat_groups
        - behat_hooks
        - behat_login
        - behat_message
        - behat_message_popup
        - behat_mod_choice
        - behat_mod_data
        - behat_mod_feedback
        - behat_mod_forum
        - behat_mod_glossary
        - behat_mod_workshop
        - behat_permissions
        - behat_qtype_ddimageortext
        - behat_qtype_ddmarker
        - behat_qtype_ddwtos
        - behat_qtype_gapselect
        - behat_question
        - behat_question_base
        - behat_report_outline
        - behat_search
        - behat_theme_boost_behat_action_menu
        - behat_theme_boost_behat_admin
        - behat_theme_boost_behat_blocks
        - behat_theme_boost_behat_course
        - behat_theme_boost_behat_deprecated
        - behat_theme_boost_behat_filepicker
        - behat_theme_boost_behat_files
        - behat_theme_boost_behat_grade
        - behat_theme_boost_behat_mod_quiz
        - behat_theme_boost_behat_navigation
        - behat_theme_boost_behat_repository_upload
        - behat_tool_langimport
        - behat_tool_lp
        - behat_tool_lp_data_generators
        - behat_tool_policy
        - behat_tool_task
        - behat_tool_usertours
        - behat_transformations
        - behat_user
        - behat_workshopallocation_manual
    clean:
      paths: {  }
      contexts:
        - behat_action_menu
        - behat_admin
        - behat_assignfeedback_editpdf
        - behat_auth
        - behat_auth_email
        - behat_backup
        - behat_block_comments
        - behat_block_site_main_menu
        - behat_block_social_activities
        - behat_blocks
        - behat_calendar
        - behat_cohort
        - behat_completion
        - behat_course
        - behat_data_generators
        - behat_deprecated
        - behat_editor_atto
        - behat_enrol
        - behat_filepicker
        - behat_filters
        - behat_forms
        - behat_general
        - behat_grade
        - behat_gradereport_grader
        - behat_grading
        - behat_gradingform_guide
        - behat_gradingform_rubric
        - behat_groups
        - behat_hooks
        - behat_login
        - behat_message
        - behat_message_popup
        - behat_mod_choice
        - behat_mod_data
        - behat_mod_feedback
        - behat_mod_forum
        - behat_mod_glossary
        - behat_mod_quiz
        - behat_mod_workshop
        - behat_navigation
        - behat_permissions
        - behat_qtype_ddimageortext
        - behat_qtype_ddmarker
        - behat_qtype_ddwtos
        - behat_qtype_gapselect
        - behat_question
        - behat_question_base
        - behat_report_outline
        - behat_repository_upload
        - behat_search
        - behat_tool_langimport
        - behat_tool_lp
        - behat_tool_lp_data_generators
        - behat_tool_policy
        - behat_tool_task
        - behat_tool_usertours
        - behat_transformations
        - behat_user
        - behat_workshopallocation_manual
    more:
      paths: {  }
      contexts:
        - behat_action_menu
        - behat_admin
        - behat_assignfeedback_editpdf
        - behat_auth
        - behat_auth_email
        - behat_backup
        - behat_block_comments
        - behat_block_site_main_menu
        - behat_block_social_activities
        - behat_blocks
        - behat_calendar
        - behat_cohort
        - behat_completion
        - behat_course
        - behat_data_generators
        - behat_deprecated
        - behat_editor_atto
        - behat_enrol
        - behat_filepicker
        - behat_filters
        - behat_forms
        - behat_general
        - behat_grade
        - behat_gradereport_grader
        - behat_grading
        - behat_gradingform_guide
        - behat_gradingform_rubric
        - behat_groups
        - behat_hooks
        - behat_login
        - behat_message
        - behat_message_popup
        - behat_mod_choice
        - behat_mod_data
        - behat_mod_feedback
        - behat_mod_forum
        - behat_mod_glossary
        - behat_mod_quiz
        - behat_mod_workshop
        - behat_navigation
        - behat_permissions
        - behat_qtype_ddimageortext
        - behat_qtype_ddmarker
        - behat_qtype_ddwtos
        - behat_qtype_gapselect
        - behat_question
        - behat_question_base
        - behat_report_outline
        - behat_repository_upload
        - behat_search
        - behat_tool_langimport
        - behat_tool_lp
        - behat_tool_lp_data_generators
        - behat_tool_policy
        - behat_tool_task
        - behat_tool_usertours
        - behat_transformations
        - behat_user
        - behat_workshopallocation_manual
  extensions:
    Behat\MinkExtension:
      base_url: 'http://localhost/moodles/stable_master/moodle'
      selenium2:
        wd_host: 'http://localhost:4444/wd/hub'
        browser: chrome
    Moodle\BehatExtension:
      moodledirroot: %paths.base%
      steps_definitions:
        behat_action_menu: %paths.base%/lib/tests/behat/behat_action_menu.php
        behat_admin: %paths.base%/admin/tests/behat/behat_admin.php
        behat_assignfeedback_editpdf: %paths.base%/mod/assign/feedback/editpdf/tests/behat/behat_assignfeedback_editpdf.php
        behat_auth: %paths.base%/auth/tests/behat/behat_auth.php
        behat_auth_email: %paths.base%/auth/email/tests/behat/behat_auth_email.php
        behat_backup: %paths.base%/backup/util/ui/tests/behat/behat_backup.php
        behat_block_comments: %paths.base%/blocks/comments/tests/behat/behat_block_comments.php
        behat_block_site_main_menu: %paths.base%/blocks/site_main_menu/tests/behat/behat_block_site_main_menu.php
        behat_block_social_activities: %paths.base%/blocks/social_activities/tests/behat/behat_block_social_activities.php
        behat_blocks: %paths.base%/blocks/tests/behat/behat_blocks.php
        behat_calendar: %paths.base%/calendar/tests/behat/behat_calendar.php
        behat_cohort: %paths.base%/cohort/tests/behat/behat_cohort.php
        behat_completion: %paths.base%/completion/tests/behat/behat_completion.php
        behat_course: %paths.base%/course/tests/behat/behat_course.php
        behat_data_generators: %paths.base%/lib/tests/behat/behat_data_generators.php
        behat_deprecated: %paths.base%/lib/tests/behat/behat_deprecated.php
        behat_editor_atto: %paths.base%/lib/editor/atto/tests/behat/behat_editor_atto.php
        behat_enrol: %paths.base%/enrol/tests/behat/behat_enrol.php
        behat_filepicker: %paths.base%/repository/tests/behat/behat_filepicker.php
        behat_filters: %paths.base%/lib/tests/behat/behat_filters.php
        behat_forms: %paths.base%/lib/tests/behat/behat_forms.php
        behat_general: %paths.base%/lib/tests/behat/behat_general.php
        behat_grade: %paths.base%/grade/tests/behat/behat_grade.php
        behat_gradereport_grader: %paths.base%/grade/report/grader/tests/behat/behat_gradereport_grader.php
        behat_grading: %paths.base%/grade/grading/tests/behat/behat_grading.php
        behat_gradingform_guide: %paths.base%/grade/grading/form/guide/tests/behat/behat_gradingform_guide.php
        behat_gradingform_rubric: %paths.base%/grade/grading/form/rubric/tests/behat/behat_gradingform_rubric.php
        behat_groups: %paths.base%/group/tests/behat/behat_groups.php
        behat_hooks: %paths.base%/lib/tests/behat/behat_hooks.php
        behat_login: %paths.base%/login/tests/behat/behat_login.php
        behat_message: %paths.base%/message/tests/behat/behat_message.php
        behat_message_popup: %paths.base%/message/output/popup/tests/behat/behat_message_popup.php
        behat_mod_choice: %paths.base%/mod/choice/tests/behat/behat_mod_choice.php
        behat_mod_data: %paths.base%/mod/data/tests/behat/behat_mod_data.php
        behat_mod_feedback: %paths.base%/mod/feedback/tests/behat/behat_mod_feedback.php
        behat_mod_forum: %paths.base%/mod/forum/tests/behat/behat_mod_forum.php
        behat_mod_glossary: %paths.base%/mod/glossary/tests/behat/behat_mod_glossary.php
        behat_mod_quiz: %paths.base%/mod/quiz/tests/behat/behat_mod_quiz.php
        behat_mod_workshop: %paths.base%/mod/workshop/tests/behat/behat_mod_workshop.php
        behat_navigation: %paths.base%/lib/tests/behat/behat_navigation.php
        behat_permissions: %paths.base%/lib/tests/behat/behat_permissions.php
        behat_qtype_ddimageortext: %paths.base%/question/type/ddimageortext/tests/behat/behat_qtype_ddimageortext.php
        behat_qtype_ddmarker: %paths.base%/question/type/ddmarker/tests/behat/behat_qtype_ddmarker.php
        behat_qtype_ddwtos: %paths.base%/question/type/ddwtos/tests/behat/behat_qtype_ddwtos.php
        behat_qtype_gapselect: %paths.base%/question/type/gapselect/tests/behat/behat_qtype_gapselect.php
        behat_question: %paths.base%/question/tests/behat/behat_question.php
        behat_question_base: %paths.base%/question/tests/behat/behat_question_base.php
        behat_report_outline: %paths.base%/report/outline/tests/behat/behat_report_outline.php
        behat_repository_upload: %paths.base%/repository/upload/tests/behat/behat_repository_upload.php
        behat_search: %paths.base%/search/tests/behat/behat_search.php
        behat_theme_boost_behat_action_menu: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_action_menu.php
        behat_theme_boost_behat_admin: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_admin.php
        behat_theme_boost_behat_blocks: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_blocks.php
        behat_theme_boost_behat_course: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_course.php
        behat_theme_boost_behat_deprecated: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_deprecated.php
        behat_theme_boost_behat_filepicker: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_filepicker.php
        behat_theme_boost_behat_files: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_files.php
        behat_theme_boost_behat_grade: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_grade.php
        behat_theme_boost_behat_mod_quiz: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_mod_quiz.php
        behat_theme_boost_behat_navigation: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_navigation.php
        behat_theme_boost_behat_repository_upload: %paths.base%/theme/boost/tests/behat/behat_theme_boost_behat_repository_upload.php
        behat_tool_langimport: %paths.base%/admin/tool/langimport/tests/behat/behat_tool_langimport.php
        behat_tool_lp: %paths.base%/admin/tool/lp/tests/behat/behat_tool_lp.php
        behat_tool_lp_data_generators: %paths.base%/admin/tool/lp/tests/behat/behat_tool_lp_data_generators.php
        behat_tool_policy: %paths.base%/admin/tool/policy/tests/behat/behat_tool_policy.php
        behat_tool_task: %paths.base%/admin/tool/task/tests/behat/behat_tool_task.php
        behat_tool_usertours: %paths.base%/admin/tool/usertours/tests/behat/behat_tool_usertours.php
        behat_transformations: %paths.base%/lib/tests/behat/behat_transformations.php
        behat_user: %paths.base%/user/tests/behat/behat_user.php
        behat_workshopallocation_manual: %paths.base%/mod/workshop/allocation/manual/tests/behat/behat_workshopallocation_manual.php
